{% extends "layout.html" %}
{% set active_page = "login" %}
{% block body %}
<h1 class="headersy">Application Login</h1>
<p>
	<form autocomplete="off" method="POST" action="/setAccessToken">
		<label for="accessToken" class="white">Acess Token:</label>
		<input type="text" class="soften" value="" name="newApiToken">
		<input type="submit" class"flashy-button" value="Set Token">
	</form>
    {% block gitlabInfo %}
		{% if lm['error']: %}
			<h1 class="white">GitLab Auth Error</h1>
			<p>
				{{ lm['error'] }}
			</p>
		{% else %}
			<form method="POST" action="/clearAccessToken">
				<h1 class="white">User: {{ lm['user'] }}</h1> 
				<input type="submit" class="flashy-button" value="Clear Token">
			</form>
		{% endif %}
	{% endblock gitlabInfo %}
</p> 
{% endblock %}
